<?xml version="1.0" encoding="utf-8"?>

<root>
  <general name="MTK_PLATFORM_CFG">
    <config_version name="V2.1.0">
      <platform>MT6880</platform>
      <project>k6880v1_mdot2_datacard</project>
    </config_version>
  </general>
  <storage_type name="NAND">
    <general name="MTK_STORAGE_CFG">
      <storage name="NAND">
        <boot_channel>NONE</boot_channel>
        <block_size>0x40000</block_size>
      </storage>
    </general>
    <partition_index name="SYS0">
      <partition_name>preloader</partition_name>
      <file_name>preloader_k6880v1_mdot2_datacard.bin</file_name>
      <is_download>true</is_download>
      <type>SV5_BL_BIN</type>
      <linear_start_addr>0x0</linear_start_addr>
      <physical_start_addr>0x0</physical_start_addr>
      <partition_size>0x200000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS1">
      <partition_name>proinfo</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0x200000</linear_start_addr>
      <physical_start_addr>0x200000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>PROTECTED</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS2">
      <partition_name>misc</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0x300000</linear_start_addr>
      <physical_start_addr>0x300000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>INVISIBLE</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS3">
      <partition_name>para</partition_name>
      <file_name>preloader_k6880v1_mdot2_datacard.bin</file_name>
      <is_download>true</is_download>
      <type>SV5_BL_BIN</type>
      <linear_start_addr>0x400000</linear_start_addr>
      <physical_start_addr>0x400000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS4">
      <partition_name>expdb</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0x500000</linear_start_addr>
      <physical_start_addr>0x500000</physical_start_addr>
      <partition_size>0x1400000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>INVISIBLE</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS5">
      <partition_name>nvcfg</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>YAFFS_IMG</type>
      <linear_start_addr>0x1900000</linear_start_addr>
      <physical_start_addr>0x1900000</physical_start_addr>
      <partition_size>0x2000000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>PROTECTED</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS6">
      <partition_name>nvdata</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>YAFFS_IMG</type>
      <linear_start_addr>0x3900000</linear_start_addr>
      <physical_start_addr>0x3900000</physical_start_addr>
      <partition_size>0x2000000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>INVISIBLE</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS7">
      <partition_name>protect1</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>YAFFS_IMG</type>
      <linear_start_addr>0x5900000</linear_start_addr>
      <physical_start_addr>0x5900000</physical_start_addr>
      <partition_size>0x800000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>PROTECTED</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS8">
      <partition_name>protect2</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>YAFFS_IMG</type>
      <linear_start_addr>0x6100000</linear_start_addr>
      <physical_start_addr>0x6100000</physical_start_addr>
      <partition_size>0x800000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>PROTECTED</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS9">
      <partition_name>mcf1</partition_name>
      <file_name>OP_OTA.img</file_name>
      <is_download>true</is_download>
      <type>YAFFS_IMG</type>
      <linear_start_addr>0x6900000</linear_start_addr>
      <physical_start_addr>0x6900000</physical_start_addr>
      <partition_size>0x800000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS10">
      <partition_name>mcf2</partition_name>
      <file_name>OEM_OTA.img</file_name>
      <is_download>true</is_download>
      <type>YAFFS_IMG</type>
      <linear_start_addr>0x7100000</linear_start_addr>
      <physical_start_addr>0x7100000</physical_start_addr>
      <partition_size>0x800000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS11">
      <partition_name>seccfg</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0x7900000</linear_start_addr>
      <physical_start_addr>0x7900000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>INVISIBLE</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS12">
      <partition_name>boot_para</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0x7a00000</linear_start_addr>
      <physical_start_addr>0x7a00000</physical_start_addr>
      <partition_size>0x200000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>INVISIBLE</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS13">
      <partition_name>nvram</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0x7c00000</linear_start_addr>
      <physical_start_addr>0x7c00000</physical_start_addr>
      <partition_size>0x2000000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>PROTECTED</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS14">
      <partition_name>md1img</partition_name>
      <file_name>modem.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0x9c00000</linear_start_addr>
      <physical_start_addr>0x9c00000</physical_start_addr>
      <partition_size>0x4000000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS15">
      <partition_name>md1dsp</partition_name>
      <file_name>dsp.bin</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xdc00000</linear_start_addr>
      <physical_start_addr>0xdc00000</physical_start_addr>
      <partition_size>0xa00000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS16">
      <partition_name>spmfw</partition_name>
      <file_name>spmfw.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xe600000</linear_start_addr>
      <physical_start_addr>0xe600000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS17">
      <partition_name>pi_img</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xe700000</linear_start_addr>
      <physical_start_addr>0xe700000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>INVISIBLE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS18">
      <partition_name>dpm_1</partition_name>
      <file_name>dpm.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xe800000</linear_start_addr>
      <physical_start_addr>0xe800000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS19">
      <partition_name>dpm_2</partition_name>
      <file_name>dpm.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xe900000</linear_start_addr>
      <physical_start_addr>0xe900000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS20">
      <partition_name>medmcu_1</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xea00000</linear_start_addr>
      <physical_start_addr>0xea00000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>INVISIBLE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS21">
      <partition_name>medmcu_2</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xeb00000</linear_start_addr>
      <physical_start_addr>0xeb00000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>INVISIBLE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS22">
      <partition_name>sspm_1</partition_name>
      <file_name>sspm.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xec00000</linear_start_addr>
      <physical_start_addr>0xec00000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS23">
      <partition_name>sspm_2</partition_name>
      <file_name>sspm.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xed00000</linear_start_addr>
      <physical_start_addr>0xed00000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS24">
      <partition_name>mcupm_1</partition_name>
      <file_name>mcupm.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xee00000</linear_start_addr>
      <physical_start_addr>0xee00000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS25">
      <partition_name>mcupm_2</partition_name>
      <file_name>mcupm.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xef00000</linear_start_addr>
      <physical_start_addr>0xef00000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS26">
      <partition_name>lk</partition_name>
      <file_name>lk.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xf000000</linear_start_addr>
      <physical_start_addr>0xf000000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>true</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS27">
      <partition_name>lk2</partition_name>
      <file_name>lk.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xf100000</linear_start_addr>
      <physical_start_addr>0xf100000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS28">
      <partition_name>tee1</partition_name>
      <file_name>tee.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xf200000</linear_start_addr>
      <physical_start_addr>0xf200000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>true</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS29">
      <partition_name>tee2</partition_name>
      <file_name>tee.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xf300000</linear_start_addr>
      <physical_start_addr>0xf300000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS30">
      <partition_name>boot</partition_name>
      <file_name>boot.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xf400000</linear_start_addr>
      <physical_start_addr>0xf400000</physical_start_addr>
      <partition_size>0x1000000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS31">
      <partition_name>rootfs</partition_name>
      <file_name>root.squashfs</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0x10400000</linear_start_addr>
      <physical_start_addr>0x10400000</physical_start_addr>
      <partition_size>0x2000000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS32">
      <partition_name>loader_ext1</partition_name>
      <file_name>loader_ext.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0x12400000</linear_start_addr>
      <physical_start_addr>0x12400000</physical_start_addr>
      <partition_size>0x80000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>true</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS33">
      <partition_name>loader_ext2</partition_name>
      <file_name>loader_ext.img</file_name>
      <is_download>true</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0x12480000</linear_start_addr>
      <physical_start_addr>0x12480000</physical_start_addr>
      <partition_size>0x80000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS34">
      <partition_name>mcf3</partition_name>
      <file_name>DEV_OTA.img</file_name>
      <is_download>true</is_download>
      <type>YAFFS_IMG</type>
      <linear_start_addr>0x12500000</linear_start_addr>
      <physical_start_addr>0x12500000</physical_start_addr>
      <partition_size>0x800000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>UPDATE</operation_type>
      <is_upgradable>true</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS35">
      <partition_name>cfginfo</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0x12d00000</linear_start_addr>
      <physical_start_addr>0x12d00000</physical_start_addr>
      <partition_size>0x100000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>INVISIBLE</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS36">
      <partition_name>mddata_bak</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0x12e00000</linear_start_addr>
      <physical_start_addr>0x12e00000</physical_start_addr>
      <partition_size>0x2000000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>INVISIBLE</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS37">
      <partition_name>mdcode_bak</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0x14e00000</linear_start_addr>
      <physical_start_addr>0x14e00000</physical_start_addr>
      <partition_size>0x4000000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>INVISIBLE</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS38">
      <partition_name>user_data</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>YAFFS_IMG</type>
      <linear_start_addr>0x18e00000</linear_start_addr>
      <physical_start_addr>0x18e00000</physical_start_addr>
      <partition_size>0x0</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>NEEDRESIZE</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
    <partition_index name="SYS39">
      <partition_name>pmt</partition_name>
      <file_name>NONE</file_name>
      <is_download>false</is_download>
      <type>NORMAL_ROM</type>
      <linear_start_addr>0xFFFF0004</linear_start_addr>
      <physical_start_addr>0xFFFF0004</physical_start_addr>
      <partition_size>0x80000</partition_size>
      <region>NONE</region>
      <storage>HW_STORAGE_NAND</storage>
      <operation_type>RESERVED</operation_type>
      <is_upgradable>false</is_upgradable>
      <empty_boot_needed>false</empty_boot_needed>
      <combo_partsize_check>false</combo_partsize_check>
    </partition_index>
  </storage_type>
</root>
